<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-ppk-heading" data-cy="PpkCreateUpdateHeading">Create or edit a Ppk</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_nomor">Nomor</label>
          <input type="text" class="form-control" name="nomor" id="field_nomor" data-cy="nomor" formControlName="nomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jenis">Jenis</label>
          <input type="text" class="form-control" name="jenis" id="field_jenis" data-cy="jenis" formControlName="jenis" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglSk">Tgl Sk</label>
          <div class="input-group">
            <input
              id="field_tglSk"
              data-cy="tglSk"
              type="text"
              class="form-control"
              name="tglSk"
              ngbDatepicker
              #tglSkDp="ngbDatepicker"
              formControlName="tglSk"
            />
            <button type="button" class="btn btn-secondary" (click)="tglSkDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nilaiHutangPokok">Nilai Hutang Pokok</label>
          <input
            type="number"
            class="form-control"
            name="nilaiHutangPokok"
            id="field_nilaiHutangPokok"
            data-cy="nilaiHutangPokok"
            formControlName="nilaiHutangPokok"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nilaiPenjaminan">Nilai Penjaminan</label>
          <input
            type="number"
            class="form-control"
            name="nilaiPenjaminan"
            id="field_nilaiPenjaminan"
            data-cy="nilaiPenjaminan"
            formControlName="nilaiPenjaminan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_periodeTenor">Periode Tenor</label>
          <input
            type="number"
            class="form-control"
            name="periodeTenor"
            id="field_periodeTenor"
            data-cy="periodeTenor"
            formControlName="periodeTenor"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglCicilAwal">Tgl Cicil Awal</label>
          <div class="input-group">
            <input
              id="field_tglCicilAwal"
              data-cy="tglCicilAwal"
              type="text"
              class="form-control"
              name="tglCicilAwal"
              ngbDatepicker
              #tglCicilAwalDp="ngbDatepicker"
              formControlName="tglCicilAwal"
            />
            <button type="button" class="btn btn-secondary" (click)="tglCicilAwalDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglCicilAkhir">Tgl Cicil Akhir</label>
          <div class="input-group">
            <input
              id="field_tglCicilAkhir"
              data-cy="tglCicilAkhir"
              type="text"
              class="form-control"
              name="tglCicilAkhir"
              ngbDatepicker
              #tglCicilAkhirDp="ngbDatepicker"
              formControlName="tglCicilAkhir"
            />
            <button type="button" class="btn btn-secondary" (click)="tglCicilAkhirDp.toggle()">
              <fa-icon icon="calendar-alt"></fa-icon>
            </button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nsbNamaDebitur">Nsb Nama Debitur</label>
          <input
            type="text"
            class="form-control"
            name="nsbNamaDebitur"
            id="field_nsbNamaDebitur"
            data-cy="nsbNamaDebitur"
            formControlName="nsbNamaDebitur"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nsbNama">Nsb Nama</label>
          <input type="text" class="form-control" name="nsbNama" id="field_nsbNama" data-cy="nsbNama" formControlName="nsbNama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nsbJenis">Nsb Jenis</label>
          <input type="number" class="form-control" name="nsbJenis" id="field_nsbJenis" data-cy="nsbJenis" formControlName="nsbJenis" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orang">Orang</label>
          <select class="form-control" id="field_orang" data-cy="orang" name="orang" formControlName="orang" [compareWith]="compareOrang">
            <option [ngValue]="null"></option>
            @for (orangOption of orangsCollection; track $index) {
              <option [ngValue]="orangOption">{{ orangOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_badan">Badan</label>
          <select class="form-control" id="field_badan" data-cy="badan" name="badan" formControlName="badan" [compareWith]="compareBadan">
            <option [ngValue]="null"></option>
            @for (badanOption of badansCollection; track $index) {
              <option [ngValue]="badanOption">{{ badanOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
